diff --git a/gcc/m2/pge-boot/GM2RTS.cc b/gcc/m2/pge-boot/GM2RTS.cc
index 5214c42ae9b..ef5f7cf5ce1 100644
--- a/gcc/m2/pge-boot/GM2RTS.cc
+++ b/gcc/m2/pge-boot/GM2RTS.cc
@@ -25,6 +25,8 @@ a copy of the GCC Runtime Library Exception along with this program;
 see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 <http://www.gnu.org/licenses/>.  */
 
+#include "config.h"
+#include "system.h"
 #include <stdbool.h>
 #   if !defined (PROC_D)
 #      define PROC_D
@@ -40,13 +42,9 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 #      define FALSE (1==0)
 #   endif
 
-#include <string.h>
-#include <limits.h>
-#include <stdlib.h>
-#include <unistd.h>
-#define _M2RTS_H
 #define _M2RTS_C
 
+#include "GM2RTS.h"
 #   include "Glibc.h"
 #   include "GNumberIO.h"
 #   include "GStrLib.h"
@@ -62,9 +60,6 @@ typedef struct M2RTS_ArgCVEnvP_p M2RTS_ArgCVEnvP;
 #   define stderrFd 2
 typedef char *M2RTS_PtrToChar;
 
-typedef void (*M2RTS_ArgCVEnvP_t) (int, void *, void *);
-struct M2RTS_ArgCVEnvP_p { M2RTS_ArgCVEnvP_t proc; };
-
 static int ExitValue;
 static bool isHalting;
 static bool CallExit;
@@ -138,7 +133,7 @@ extern "C" void M2RTS_ExecuteTerminationProcedures (void);
                not call ExecuteTerminationProcedures.
 */
 
-extern "C" void M2RTS_Terminate (void);
+extern "C" void M2RTS_Terminate (void) __attribute__ ((noreturn));
 
 /*
    HALT - terminate the current program.  The procedure
@@ -151,7 +146,7 @@ extern "C" void M2RTS_Terminate (void);
           then calling HALT with no parameter.
 */
 
-extern "C" void M2RTS_HALT (int exitcode);
+extern "C" void M2RTS_HALT (int exitcode) __attribute__ ((noreturn));
 
 /*
    Halt - provides a more user friendly version of HALT, which takes
@@ -159,7 +154,7 @@ extern "C" void M2RTS_HALT (int exitcode);
           to stderr and calls exit (1).
 */
 
-extern "C" void M2RTS_Halt (const char *description_, unsigned int _description_high, const char *filename_, unsigned int _filename_high, const char *function_, unsigned int _function_high, unsigned int line);
+extern "C" void M2RTS_Halt (const char *description_, unsigned int _description_high, const char *filename_, unsigned int _filename_high, const char *function_, unsigned int _function_high, unsigned int line) __attribute__ ((noreturn));
 
 /*
    HaltC - provides a more user friendly version of HALT, which takes
@@ -167,7 +162,7 @@ extern "C" void M2RTS_Halt (const char *description_, unsigned int _description_
            to stderr and calls exit (1).
 */
 
-extern "C" void M2RTS_HaltC (void * description, void * filename, void * function, unsigned int line);
+extern "C" void M2RTS_HaltC (void * description, void * filename, void * function, unsigned int line) __attribute__ ((noreturn));
 
 /*
    ExitOnHalt - if HALT is executed then call exit with the exit code, e.
@@ -179,7 +174,7 @@ extern "C" void M2RTS_ExitOnHalt (int e);
    ErrorMessage - emits an error message to stderr and then calls exit (1).
 */
 
-extern "C" void M2RTS_ErrorMessage (const char *message_, unsigned int _message_high, const char *filename_, unsigned int _filename_high, unsigned int line, const char *function_, unsigned int _function_high);
+extern "C" void M2RTS_ErrorMessage (const char *message_, unsigned int _message_high, const char *filename_, unsigned int _filename_high, unsigned int line, const char *function_, unsigned int _function_high) __attribute__ ((noreturn));
 
 /*
    Length - returns the length of a string, a. This is called whenever
@@ -188,30 +183,30 @@ extern "C" void M2RTS_ErrorMessage (const char *message_, unsigned int _message_
 */
 
 extern "C" unsigned int M2RTS_Length (const char *a_, unsigned int _a_high);
-extern "C" void M2RTS_AssignmentException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ReturnException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_IncException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_DecException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_InclException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ExclException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ShiftException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_RotateException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_StaticArraySubscriptException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_DynamicArraySubscriptException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ForLoopBeginException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ForLoopToException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ForLoopEndException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_PointerNilException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_NoReturnException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_CaseException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_WholeNonPosDivException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_WholeNonPosModException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_WholeZeroDivException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_WholeZeroRemException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_WholeValueException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_RealValueException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_ParameterException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
-extern "C" void M2RTS_NoException (void * filename, unsigned int line, unsigned int column, void * scope, void * message);
+extern "C" void M2RTS_AssignmentException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ReturnException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_IncException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_DecException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_InclException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ExclException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ShiftException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_RotateException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_StaticArraySubscriptException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_DynamicArraySubscriptException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ForLoopBeginException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ForLoopToException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ForLoopEndException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_PointerNilException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_NoReturnException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_CaseException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_WholeNonPosDivException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_WholeNonPosModException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_WholeZeroDivException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_WholeZeroRemException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_WholeValueException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_RealValueException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_ParameterException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
+extern "C" void M2RTS_NoException (void * filename, unsigned int line, unsigned int column, void * scope, void * message) __attribute__ ((noreturn));
 
 /*
    ErrorString - writes a string to stderr.
@@ -229,7 +224,7 @@ static void ErrorStringC (void * str);
    ErrorMessageC - emits an error message to stderr and then calls exit (1).
 */
 
-static void ErrorMessageC (void * message, void * filename, unsigned int line, void * function);
+static void ErrorMessageC (void * message, void * filename, unsigned int line, void * function) __attribute__ ((noreturn));
 
 /*
    Init - initialize the initial, terminate procedure lists and booleans.
@@ -259,7 +254,7 @@ static void ErrorString (const char *a_, unsigned int _a_high)
   /* make a local copy of each unbounded array.  */
   memcpy (a, a_, _a_high+1);
 
-  n = static_cast<int> (libc_write (stderrFd, &a, static_cast<size_t> (StrLib_StrLen ((const char *) a, _a_high))));
+  n = static_cast<int> (libc_write (stderrFd, const_cast<void*> (static_cast<const void*>(a)), static_cast<size_t> (StrLib_StrLen ((const char *) a, _a_high))));
 }
 
 
@@ -714,11 +709,11 @@ extern "C" void M2RTS_NoException (void * filename, unsigned int line, unsigned
   RTExceptions_Raise ( ((unsigned int) (M2EXCEPTION_exException)), filename, line, column, scope, message);
 }
 
-extern "C" void _M2_M2RTS_init (__attribute__((unused)) int argc,__attribute__((unused)) char *argv[],__attribute__((unused)) char *envp[])
+extern "C" void _M2_M2RTS_init (__attribute__((unused)) int argc, __attribute__((unused)) char *argv[], __attribute__((unused)) char *envp[])
 {
   CheckInitialized ();
 }
 
-extern "C" void _M2_M2RTS_fini (__attribute__((unused)) int argc,__attribute__((unused)) char *argv[],__attribute__((unused)) char *envp[])
+extern "C" void _M2_M2RTS_fini (__attribute__((unused)) int argc, __attribute__((unused)) char *argv[], __attribute__((unused)) char *envp[])
 {
 }
diff --git a/gcc/m2/pge-boot/GSysExceptions.cc b/gcc/m2/pge-boot/GSysExceptions.cc
index d16197dbcc7..de8bab91c57 100644
--- a/gcc/m2/pge-boot/GSysExceptions.cc
+++ b/gcc/m2/pge-boot/GSysExceptions.cc
@@ -24,6 +24,16 @@ along with GNU Modula-2; see the file COPYING3.  If not see
 
 #include "gm2-libs-host.h"
 
+#ifdef MC_M2
+#include "GSysExceptions.h"
+#define DECL_PROC_T(X) SysExceptions_PROCEXCEPTION X
+#define PROC_FUNC(X) X.proc
+#else
+#define DECL_PROC_T(X) void (*X) (void *)
+#define PROC_FUNC(X) X
+#endif
+
+#undef EXTERN
 #if defined(__cplusplus)
 #define EXTERN extern "C"
 #else
@@ -68,13 +78,11 @@ along with GNU Modula-2; see the file COPYING3.  If not see
 #define SIGSYS 31      /* Bad system call.  */
 #define SIGUNUSED 31
 
-
     (indexException,     rangeException,         caseSelectException,  invalidLocation,
      functionException,  wholeValueException,    wholeDivException,    realValueException,
      realDivException,   complexValueException,  complexDivException,  protException,
      sysException,       coException,            exException
     );
-
 #endif
 
 /* wholeDivException and realDivException are caught by SIGFPE
@@ -106,6 +114,7 @@ static void (*systemProc) (void *);
 static void (*coroutineProc) (void *);
 static void (*exceptionProc) (void *);
 
+
 static void
 sigbusDespatcher (int signum, siginfo_t *info, void *ucontext)
 {
@@ -159,32 +168,39 @@ sigfpeDespatcher (int signum, siginfo_t *info, void *ucontext)
 
 EXTERN
 void
-SysExceptions_InitExceptionHandlers (
-    void (*indexf) (void *), void (*range) (void *), void (*casef) (void *),
-    void (*invalidloc) (void *), void (*function) (void *),
-    void (*wholevalue) (void *), void (*wholediv) (void *),
-    void (*realvalue) (void *), void (*realdiv) (void *),
-    void (*complexvalue) (void *), void (*complexdiv) (void *),
-    void (*protection) (void *), void (*systemf) (void *),
-    void (*coroutine) (void *), void (*exception) (void *))
+SysExceptions_InitExceptionHandlers (DECL_PROC_T(indexf),
+				     DECL_PROC_T(range),
+				     DECL_PROC_T(casef),
+				     DECL_PROC_T(invalidloc),
+				     DECL_PROC_T(function),
+				     DECL_PROC_T(wholevalue),
+				     DECL_PROC_T(wholediv),
+				     DECL_PROC_T(realvalue),
+				     DECL_PROC_T(realdiv),
+				     DECL_PROC_T(complexvalue),
+				     DECL_PROC_T(complexdiv),
+				     DECL_PROC_T(protection),
+				     DECL_PROC_T(systemf),
+				     DECL_PROC_T(coroutine),
+				     DECL_PROC_T(exception))
 {
   struct sigaction old;
 
-  indexProc = indexf;
-  rangeProc = range;
-  caseProc = casef;
-  invalidlocProc = invalidloc;
-  functionProc = function;
-  wholevalueProc = wholevalue;
-  wholedivProc = wholediv;
-  realvalueProc = realvalue;
-  realdivProc = realdiv;
-  complexvalueProc = complexvalue;
-  complexdivProc = complexdiv;
-  protectionProc = protection;
-  systemProc = systemf;
-  coroutineProc = coroutine;
-  exceptionProc = exception;
+  indexProc = PROC_FUNC (indexf);
+  rangeProc = PROC_FUNC (range);
+  caseProc = PROC_FUNC (casef);
+  invalidlocProc = PROC_FUNC (invalidloc);
+  functionProc = PROC_FUNC (function);
+  wholevalueProc = PROC_FUNC (wholevalue);
+  wholedivProc = PROC_FUNC (wholediv);
+  realvalueProc = PROC_FUNC (realvalue);
+  realdivProc = PROC_FUNC (realdiv);
+  complexvalueProc = PROC_FUNC (complexvalue);
+  complexdivProc = PROC_FUNC (complexdiv);
+  protectionProc = PROC_FUNC (protection);
+  systemProc = PROC_FUNC (systemf);
+  coroutineProc = PROC_FUNC (coroutine);
+  exceptionProc = PROC_FUNC (exception);
 
   sigbus.sa_sigaction = sigbusDespatcher;
   sigbus.sa_flags = (SA_SIGINFO);
@@ -211,13 +227,21 @@ SysExceptions_InitExceptionHandlers (
 #else
 EXTERN
 void
-SysExceptions_InitExceptionHandlers (void *indexf, void *range, void *casef,
-                                     void *invalidloc, void *function,
-                                     void *wholevalue, void *wholediv,
-                                     void *realvalue, void *realdiv,
-                                     void *complexvalue, void *complexdiv,
-                                     void *protection, void *systemf,
-                                     void *coroutine, void *exception)
+SysExceptions_InitExceptionHandlers (DECL_PROC_T(indexf),
+				     DECL_PROC_T(range),
+				     DECL_PROC_T(casef),
+				     DECL_PROC_T(invalidloc),
+				     DECL_PROC_T(function),
+				     DECL_PROC_T(wholevalue),
+				     DECL_PROC_T(wholediv),
+				     DECL_PROC_T(realvalue),
+				     DECL_PROC_T(realdiv),
+				     DECL_PROC_T(complexvalue),
+				     DECL_PROC_T(complexdiv),
+				     DECL_PROC_T(protection),
+				     DECL_PROC_T(systemf),
+				     DECL_PROC_T(coroutine),
+				     DECL_PROC_T(exception))
 {
 }
 #endif
diff --git a/gcc/m2/pge-boot/Gtermios.cc b/gcc/m2/pge-boot/Gtermios.cc
index 55220e7624e..fe20afb767f 100644
--- a/gcc/m2/pge-boot/Gtermios.cc
+++ b/gcc/m2/pge-boot/Gtermios.cc
@@ -24,6 +24,9 @@ along with GNU Modula-2; see the file COPYING3.  If not see
 
 #include "gm2-libs-host.h"
 
+#define _termios_C
+#include "Gtermios.h"
+
 #ifdef HAVE_TERMIOS_H
 # include <termios.h>
 #endif
@@ -193,13 +196,13 @@ EXPORT (InitTermios) (void)
 /* KillTermios - delete data structure.  */
 
 void *
-EXPORT (KillTermios) (struct termios *p)
+EXPORT (KillTermios) (termios_TERMIOS p)
 {
   free (p);
   return NULL;
 }
 
-/* tcsnow - return the value of TCSANOW.  */
+/* tcsnow return the value of TCSANOW.  */
 
 int
 EXPORT (tcsnow) (void)
@@ -207,7 +210,7 @@ EXPORT (tcsnow) (void)
   return TCSANOW;
 }
 
-/* tcsdrain - return the value of TCSADRAIN.  */
+/* tcsdrain return the value of TCSADRAIN.  */
 
 int
 EXPORT (tcsdrain) (void)
@@ -215,7 +218,7 @@ EXPORT (tcsdrain) (void)
   return TCSADRAIN;
 }
 
-/* tcsflush - return the value of TCSAFLUSH.  */
+/* tcsflush return the value of TCSAFLUSH.  */
 
 int
 EXPORT (tcsflush) (void)
@@ -223,43 +226,48 @@ EXPORT (tcsflush) (void)
   return TCSAFLUSH;
 }
 
-/* cfgetospeed - return output baud rate.  */
+/* cfgetospeed return output baud rate.  */
 
 int
-EXPORT (cfgetospeed) (struct termios *t)
+EXPORT (cfgetospeed) (termios_TERMIOS _t)
 {
+  struct termios *t = (termios *)_t;
   return cfgetospeed (t);
 }
 
-/* cfgetispeed - return input baud rate.  */
+/* cfgetispeed return input baud rate.  */
 
 int
-EXPORT (cfgetispeed) (struct termios *t)
+EXPORT (cfgetispeed) (termios_TERMIOS _t)
 {
+  struct termios *t = (termios *)_t;
   return cfgetispeed (t);
 }
 
-/* cfsetospeed - set output baud rate.  */
+/* cfsetospeed set output baud rate.  */
 
 int
-EXPORT (cfsetospeed) (struct termios *t, unsigned int b)
+EXPORT (cfsetospeed) (termios_TERMIOS _t, unsigned int b)
 {
+  struct termios *t = (termios *)_t;
   return cfsetospeed (t, b);
 }
 
-/* cfsetispeed - set input baud rate.  */
+/* cfsetispeed set input baud rate.  */
 
 int
-EXPORT (cfsetispeed) (struct termios *t, unsigned int b)
+EXPORT (cfsetispeed) (termios_TERMIOS _t, unsigned int b)
 {
+  struct termios *t = (termios *)_t;
   return cfsetispeed (t, b);
 }
 
-/* cfsetspeed - set input and output baud rate.  */
+/* cfsetspeed set input and output baud rate.  */
 
 int
-EXPORT (cfsetspeed) (struct termios *t, unsigned int b)
+EXPORT (cfsetspeed) (termios_TERMIOS _t, unsigned int b)
 {
+  struct termios *t = (termios *)_t;
   int val = cfsetispeed (t, b);
   if (val == 0)
     return cfsetospeed (t, b);
@@ -267,33 +275,36 @@ EXPORT (cfsetspeed) (struct termios *t, unsigned int b)
   return val;
 }
 
-/* tcgetattr - get state of, fd, into, t.  */
+/* tcgetattr get state of fd into t.  */
 
 int
-EXPORT (tcgetattr) (int fd, struct termios *t)
+EXPORT (tcgetattr) (int fd, termios_TERMIOS _t)
 {
+  struct termios *t = (termios *)_t;
   return tcgetattr (fd, t);
 }
 
-/* tcsetattr - set state of, fd, to, t, using option.  */
+/* tcsetattr set state of fd to t using option.  */
 
 int
-EXPORT (tcsetattr) (int fd, int option, struct termios *t)
+EXPORT (tcsetattr) (int fd, int option, termios_TERMIOS _t)
 {
+  struct termios *t = (termios *)_t;
   return tcsetattr (fd, option, t);
 }
 
-/* cfmakeraw - sets the terminal to raw mode.  */
+/* cfmakeraw sets the terminal to raw mode.  */
 
 void
-EXPORT (cfmakeraw) (struct termios *t)
+EXPORT (cfmakeraw) (termios_TERMIOS _t)
 {
 #if defined(HAVE_CFMAKERAW)
+  struct termios *t = (termios *)_t;
   cfmakeraw (t);
 #endif
 }
 
-/* tcsendbreak - send zero bits for duration.  */
+/* tcsendbreak send zero bits for duration.  */
 
 int
 EXPORT (tcsendbreak) (int fd, int duration)
@@ -301,7 +312,7 @@ EXPORT (tcsendbreak) (int fd, int duration)
   return tcsendbreak (fd, duration);
 }
 
-/* tcdrain - waits for pending output to be written on, fd.  */
+/* tcdrain waits for pending output to be written on fd.  */
 
 int
 EXPORT (tcdrain) (int fd)
@@ -309,7 +320,7 @@ EXPORT (tcdrain) (int fd)
   return tcdrain (fd);
 }
 
-/* tcflushi - flush input.  */
+/* tcflushi flush input.  */
 
 int
 EXPORT (tcflushi) (int fd)
@@ -321,7 +332,7 @@ EXPORT (tcflushi) (int fd)
 #endif
 }
 
-/* tcflusho - flush output.  */
+/* tcflusho flush output.  */
 
 int
 EXPORT (tcflusho) (int fd)
@@ -333,7 +344,7 @@ EXPORT (tcflusho) (int fd)
 #endif
 }
 
-/* tcflushio - flush input and output.  */
+/* tcflushio flush input and output.  */
 
 int
 EXPORT (tcflushio) (int fd)
@@ -345,7 +356,7 @@ EXPORT (tcflushio) (int fd)
 #endif
 }
 
-/* tcflowoni - restart input on, fd.  */
+/* tcflowoni restart input on fd.  */
 
 int
 EXPORT (tcflowoni) (int fd)
@@ -357,7 +368,7 @@ EXPORT (tcflowoni) (int fd)
 #endif
 }
 
-/* tcflowoffi - stop input on, fd.  */
+/* tcflowoffi stop input on fd.  */
 
 int
 EXPORT (tcflowoffi) (int fd)
@@ -369,7 +380,7 @@ EXPORT (tcflowoffi) (int fd)
 #endif
 }
 
-/* tcflowono - restart output on, fd.  */
+/* tcflowono restart output on fd.  */
 
 int
 EXPORT (tcflowono) (int fd)
@@ -381,7 +392,7 @@ EXPORT (tcflowono) (int fd)
 #endif
 }
 
-/* tcflowoffo - stop output on, fd.  */
+/* tcflowoffo stop output on fd.  */
 
 int
 EXPORT (tcflowoffo) (int fd)
